# Uses of Interface
com.sun.source.tree.VarTypeTree

Packages that use VarTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of VarTypeTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type VarTypeTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitVarType(VarTypeTree node, P p)`
Visits a `VarTypeTree` node.

## Uses of VarTypeTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type VarTypeTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitVarType(VarTypeTree node, P p)`
Visits a `VarTypeTree` node.
`R`
TreeScanner.`visitVarType(VarTypeTree node, P p)`
Visits a `VarTypeTree` node.